apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ruediger Pluem <rpl...@apache.org>
Subject Re: [Fwd: DO NOT REPLY [Bug 28205] - expat detection broken on lib64 platforms]
Date Sat, 13 Jan 2007 20:33:47 GMT


On 01/12/2007 12:25 PM, Joe Orton wrote:
> On Fri, Jan 12, 2007 at 12:08:18AM +0100, Ruediger Pluem wrote:
> 
> 
>>I noticed that the following situation does not work as expected:
>>
>>- 64 bit Linux system (SuSE 10.1 in my case)
>>- 32 bit and 64 bit versions of libexpat installed with libexpat.la present
>>  in /usr/lib and /usr/lib64
>>- CFLAGS contain -m32 to create a 32 bit build on a 64 bit system
> 
> 
> The only correct way to change the compiler ABI choice is to use e.g.:
> 
> CC="gcc -m32"

Thanks for the hint. Now I am able to compile the 32 bit version with
your patch and the configuration above (minus -m32 in the CFLAGS).

Regards

RĂ¼diger

Mime
View raw message